#include "tree.h"

int main()
{
  setlocale(LC_ALL, "");

  //Récupération du fichier contenant le dictionnaire
  char fichier[100];
  FILE* fp = NULL;
  printf("Quel fichier voulez-vous utiliser comme dictionnaire ?\n");
  do{
    scanf("%s",fichier);
    fp = fopen(fichier,"r");
    if(fp == NULL)
    {
          printf("Le fichier n'est pas accessible !\nEntrez un autre nom de fichier :\n");
    }
  }while(fp == NULL);
    
  //Chargement du dictionnaire
  dico Dico;
  init_dico(&Dico);
  load_dico(fp,&Dico);
  fclose(fp);
  printf("Chargement du dictionnaire effectué!\n\n");

  //Récupération du fichier contenant les mots à tester
char recommencer = ' ';
  do{
  FILE* fp = NULL;
  printf("Quel fichier voulez-vous tester ?\n");
  do{
    scanf("%s",fichier);
    fp = fopen(fichier,"r");
    if(fp == NULL)
    {
          printf("Le fichier n'est pas accessible !\nEntrez un autre nom de fichier :\n");
    }
  }while(fp == NULL);

  //Vérification des mots du fichier
  int result = find_erreur(Dico,fp);
  printf("Le fichier testé contient %d mots qui ne sont pas présent dans le dictionnaire.\n",result);
  fclose(fp);

  printf("Voulez vous tester un autre fichier ?[Y]\n");
  scanf(" %c",&recommencer);
  }while(recommencer == 'Y' || recommencer == 'y');

  free_dico(Dico);//libérer la mémoire du dictionnaire

  printf("Fin du programme\n");

  return 0;
}
